Skip to main content

Create a new webhook configuration

POST 

/v2/webhooks

Creates a webhook configuration that defines how and when Zentake will send event notifications to your external system.

You must specify:

  • target_url: the endpoint that will receive POST requests.
  • event_types: one or more of created, updated, deleted.
  • source: the type of resource to monitor, such as form, response, packet, packet_response, document, or patient.

Example request body:

\{
"target_url": "https://your-server.com/webhook",
"event_types": ["created", "updated"],
"source": "response",
"is_active": true
\}


<Heading
id={"request"}
as={"h2"}
className={"openapi-tabs__heading"}
>
<Translate id="theme.openapi.request.title">Request</Translate>
</Heading>

<ParamsDetails
{...require("./webhooks-create.ParamsDetails.json")}
>

</ParamsDetails>

<RequestSchema
{...require("./webhooks-create.RequestSchema.json")}
>

</RequestSchema>

<StatusCodes
{...require("./webhooks-create.StatusCodes.json")}
>

</StatusCodes>